From: Hannes Reinecke <hare@suse.de>

free_devices in dm_table.c already uses list_for_each(), so we don't 
need to check if the list is empty.

Signed-off-by: Hannes Reinecke <hare@suse.de>
Signed-off-by: Alasdair G Kergon <agk@redhat.com>

---
drivers/md/dm-table.c |    3 +--
 drivers/md/dm-table.c |    3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

Index: linux-3.3/drivers/md/dm-table.c
===================================================================
--- linux-3.3.orig/drivers/md/dm-table.c
+++ linux-3.3/drivers/md/dm-table.c
@@ -268,8 +268,7 @@ void dm_table_destroy(struct dm_table *t
 	vfree(t->highs);
 
 	/* free the device list */
-	if (t->devices.next != &t->devices)
-		free_devices(&t->devices);
+	free_devices(&t->devices);
 
 	dm_free_md_mempools(t->mempools);
 
